Package org.codehaus.groovy.reflection

# Class MixinInMetaClass

java.lang.Object
org.codehaus.groovy.reflection.MixinInMetaClass

public class MixinInMetaClass extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `CachedClass`
  `getInstanceClass()`
  `CachedClass`
  `getMixinClass()`
  `Object`
  `getMixinInstance(Object object)`
  `int`
  `hashCode()`
  `static void`
  `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
  `void`
  `setMixinInstance(Object object, Object mixinInstance)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MixinInMetaClass

    public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

- ## Method Details

  - ### getMixinInstance

    public Object getMixinInstance(Object object)

  - ### setMixinInstance

    public void setMixinInstance(Object object, Object mixinInstance)

  - ### getInstanceClass

    public CachedClass getInstanceClass()

  - ### getMixinClass

    public CachedClass getMixinClass()

  - ### mixinClassesToMetaClass

    public static void mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`